/*!
* @file Karma.cpp
* @brief ゲーム中のカルマを定義する
* @date 2013/02/01
* @author Deskull
* 2013 Sikabane Works.
*/

#include "stdafx.h"
#include "Karma.h"

namespace Deeangband
{

	Karma::Karma(ID id, TAG tag, GameWorld *gameWorld) : CreatureTemplate(id, tag, gameWorld)
	{
		Karma();
		return;
	}

	Karma::Karma(void)
	{
		this->desciplinePlus.SetPoint(0, 0, 0, 0, 0);
		return;
	}

	Karma::~Karma(void)
	{
		return;
	}

	const Discipline* Karma::GetDiscipline(void)
	{
		return &(this->desciplinePlus);
	}

}